import { JavaObject } from '../../../java/lang/JavaObject';
export declare class AbiturKursMarkierung extends JavaObject {
    fuerBerechnung: boolean;
    aufAbiturZeugnis: boolean;
    /**
     * Erzeugt eine neue Markierung, die angibt, dass der Kurs nicht in die Berechnung eingeht,
     * aber auf dem Abiturzeugnis erscheinen soll.
     */
    constructor();
    /**
     *
     * Erzeugt eine neue Markierung. Diese gibt an, dass der Kurs auf dem Abiturzeugnis erscheinen soll.
     *
     * @param fuerBerechnung   gibt an, on der Kurs in die Berechnung eingehen soll oder nicht
     */
    constructor(fuerBerechnung: boolean);
    /**
     *
     * Erzeugt eine neue Markierung.
     *
     * @param fuerBerechnung      gibt an, on der Kurs in die Berechnung eingehen soll oder nicht
     * @param aufAbiturZeugnis    gibt an, ob der Kurs auf dem Abiturzeugnis erscheinen soll
     */
    constructor(fuerBerechnung: boolean, aufAbiturZeugnis: boolean);
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): AbiturKursMarkierung;
    static transpilerToJSON(obj: AbiturKursMarkierung): string;
    static transpilerToJSONPatch(obj: Partial<AbiturKursMarkierung>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_gost_AbiturKursMarkierung(obj: unknown): AbiturKursMarkierung;
